org.apache.felix.framework.util.manifestparser

## Class ParsedHeaderClause

- java.lang.Object
- - org.apache.felix.framework.util.manifestparser.ParsedHeaderClause

    public class ParsedHeaderClause
    extends Object

### Field Summary

Fields
`Map<String,Object>` `m_attrs`
`Map<String,String>` `m_dirs`
`List<String>` `m_paths`
`Map<String,String>` `m_types`

### Constructor Summary

Constructors
Constructor and Description
`ParsedHeaderClause(List<String> paths, Map<String,String> dirs, Map<String,Object> attrs, Map<String,String> types)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_paths

    public final List<String> m_paths

#### m_dirs

    public final Map<String,String> m_dirs

#### m_attrs

    public final Map<String,Object> m_attrs

#### m_types

    public final Map<String,String> m_types

### Constructor Detail

#### ParsedHeaderClause

    public ParsedHeaderClause(List<String> paths,
                              Map<String,String> dirs,
                              Map<String,Object> attrs,
                              Map<String,String> types)